Summary: A remote mail retrieval and forwarding utility.
Name: fetchmail
Version: 6.2.4
Release: 3m
Source0: http://catb.org/~esr/%{name}/%{name}-%{version}.tar.gz
URL: http://catb.org/~esr/fetchmail/
License: GPL
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: openssl-devel >= 0.9.6
Requires: openssl
NoSource: 0

%package -n fetchmailconf
Summary: A utility for graphically configuring your fetchmail preferences.
Group: Applications/Internet
Requires: tk, fetchmail = %{version}-%{release}
Requires: python >= 2.2

%description
Fetchmail is a remote mail retrieval and forwarding utility intended
for use over on-demand TCP/IP links, like SLIP or PPP connections.
Fetchmail supports every remote-mail protocol currently in use on the
Internet (POP2, POP3, RPOP, APOP, KPOP, all IMAPs, ESMTP ETRN) for
retrieval.  Then Fetchmail forwards the mail through SMTP, so you can
read it through your favorite mail client.

Install fetchmail if you need to retrieve mail over SLIP or PPP
connections.

%description -n fetchmailconf
Fetchmailconf is a Tcl/Tk GUI application which edits your
.fetchmailrc file, in order to configure the fetchmail mail retrieval
program. Fetchmail's numerous options may be confusing to new users,
but fetchmailconf may help to clear up the confusion.

Install fetchmailconf if you need help configuring fetchmail. You'll
need to have python and tk installed in order to use fetchmailconf.

%prep
%setup -q

%build
%configure --enable-NTLM  --enable-RPA --enable-SDPS --with-ssl=/usr/lib \
%if %{_ipv6}
	   --enable-inet6
%else
	   --disable-inet6
%endif
make

%install
rm -rf %{buildroot}
make prefix=%{buildroot}/usr \
       exec_prefix=%{buildroot}/usr \
       bindir=%{buildroot}/usr/bin \
       infodir=%{buildroot}%{_infodir} \
       mandir=%{buildroot}%{_mandir}/man1 install

rm -rf contrib/RCS/
chmod -x contrib/*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ABOUT-NLS COPYING FAQ FEATURES MANIFEST NEWS NOTES README README.NTLM 
%doc README.SSL TODO fetchmail-FAQ.html fetchmail-features.html contrib
%{_bindir}/fetchmail
%{_mandir}/man1/fetchmail.1*
%{_datadir}/locale/*/*/*

%files -n fetchmailconf
%defattr(-,root,root)
%{_bindir}/fetchmailconf
%{_mandir}/man1/fetchmailconf.1*

%changelog
* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (6.2.4-3m)
- revised spec for enabling rpm 4.2.

* Sun Nov  2 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (6.2.4-2m)
- accept python not only 2.2 but 2.2 or newer

* Fri Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (6.2.4-1m)
- version 6.2.4

* Thu Mar  6 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (6.2.2-1m)
  update to 6.2.2
  change URI

* Tue Oct 15 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (6.1.0-1m)
- update to 6.1.0(which includes security fix)
  see: http://security.e-matters.de/advisories/032002.html

* Sat Jun  8 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (5.9.12-1k)
- up to 5.9.12

* Mon Apr 29 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (5.9.11-2k)
- fix perl dependency

* Sun Apr 28 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (5.9.11-1k)
- up to 5.9.11
- brush up spec

* Sat Dec 01 2001 Toshiro HIKITA <toshi@sodan.org>
- (5.9.5-4k)
- add lmtpfix.patch

* Fri Nov 9 2001 TABUCHI Takaaki <tab@kondara.org>
- (5.9.5-2k)
- up to 5.9.5

* Wed Nov  7 2001 Shingo Akagaki <dora@kondara.org>
- (5.9.4-2k)
- up to 5.9.4

* Thu Oct 04 2001 Motonobu Ichimura <famao@kondara.org>
- (5.9.3-2k)
- up to 5.9.3

* Wed Aug 15 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (5.9.0-2k)
  update to 5.9.0

* Sun Aug 12 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (5.8.17-2k)
  update to 5.8.17-2k
  security fix http://www.securityfocus.com/bid/3164
  security fix http://www.securityfocus.com/bid/3166
  
* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- (5.6.8-10k)
- rebuild against openssl 0.9.6.

* Mon Apr  9 2001 Toru Hoshina <t@df-usa.com>
- (5.6.8-8k)
- add a patch for configure.in, muki-------.

* Mon Apr  9 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (5.6.8-7k)
- add ipv6-connect.c.patch

* Wed Mar  7 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (5.6.8-5k)
- changable IPv6 function with %{_ipv6} macro

* Thu Mar 01 2001 Motonobu Ichimura <famao@kondara.org>
- up to (5.6.8-3k)

* Fri Feb 16 2001 Daisuke Yabuki <dxy@acm.org>
- (5.6.5-3k)

* Mon Nov 26 2000 Motonobu Ichimura <famao@kondara.org>
- up to 5.6.0
- now include ssl support

* Thu Nov 16 2000 Motonobu Ichimura <famao@kondara.org>
- up to 5.6.6

* Tue Aug 01 2000 Motonobu Ichimura <famao@kondara.org>
- up to 5.4.4

* Mon Jun 19 2000 AYUHANA Tomonori <l@kondara.org>
- merge from RawHide (5.4.1-1)

* Tue Apr 26 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- update to 5.3.8

* Tue Apr 25 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- remove kerberos and ssl support

* Sun Apr 09 2000 Takaaki Tabuchi <tab@kondara.org>
- update to 5.3.6.

* Sat Apr 8 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- 5.3.5

* Wed Mar 1 2000 Masako Hattori <maru@kondara.org>
- change jman mv->cp

* Wed Feb 23 2000 Masako Hattori <maru@kondara.org>
- update man-pages-ja-fetchmail-20000115

* Thu Feb 10 2000 Motonobu Ichimura <famao@kondara.org>
- up to 5.2.3

* Sun Nov 28 1999 Masako Hattori <maru@kondara.org>
- add man-pages-ja-fetchmail-19991115

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Nov 07 1999 Motonobu Ichimura <famao@kondara.org>
- don't require smtpdaemon

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- got 5.1.0, fixes potential buffer overflow...

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 5.0.4.

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- 5.0.0

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- subpackage for fetchmailconf

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- version 4.7.0
- build against glibc 2.1

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- correct typo in dangling symlink fix.

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- update to 4.5.8

* Wed Jul 22 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.5.3.

* Fri May 08 1998 Cristian Gafton <gafton@redhat.com>
- fixed spelung eror in the decsriptoin

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- new version 4.4.4 fixes a lot of bugs

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 4.4.1
- buildroot

* Thu Oct 23 1997 Michael Fulbright <msf@redhat.com>
- Updated to 4.3.2 using SRPM from Eric Raymond

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
